USE [bom6_archive]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

-----------------------------------------------------------------------------
-- BOM Rollup Packagȅǉ
PRINT N'BOM6 Rollup Packageւ̃AbvO[hs܂B'
IF ((SELECT COUNT(*) FROM [dbo].[bom_product_info] WHERE [service_release_code] = '602') <= 0)
BEGIN
	INSERT INTO [bom_product_info] VALUES ('20100','602','BOM 6','','ʏ퐻i')
	INSERT INTO [bom_product_info] VALUES ('20101','602','BOM 6','',']')
	INSERT INTO [bom_product_info] VALUES ('21100','602','BOM 6','','LinuxIvV')
	INSERT INTO [bom_product_info] VALUES ('21101','602','BOM 6','','LinuxIvV]')
	INSERT INTO [bom_product_info] VALUES ('22100','602','BOM 6','','VMwareIvV')
	INSERT INTO [bom_product_info] VALUES ('22101','602','BOM 6','','VMwareIvV]')
END
ELSE
BEGIN
	PRINT N'łɃAbvO[hς݂łB'
END
GO

-----------------------------------------------------------------------------
-- SR1ւ̃AbvO[h
PRINT N'BOM6 ArchiveDB SR1ւ̃AbvO[hs܂B'
IF object_id(N'is_bom6_sr1_db') IS NULL
BEGIN

	-- BOM6 SR1 ̕
	INSERT INTO [bom_product_info] VALUES ('20100','610','BOM 6','SR1.0','ʏ퐻i')
	INSERT INTO [bom_product_info] VALUES ('20101','610','BOM 6','SR1.0',']')
	INSERT INTO [bom_product_info] VALUES ('21100','610','BOM 6','SR1.0','LinuxIvV')
	INSERT INTO [bom_product_info] VALUES ('21101','610','BOM 6','SR1.0','LinuxIvV]')
	INSERT INTO [bom_product_info] VALUES ('22100','610','BOM 6','SR1.0','VMwareIvV')
	INSERT INTO [bom_product_info] VALUES ('22101','610','BOM 6','SR1.0','VMwareIvV]')
END
ELSE
BEGIN
	PRINT N'łɃAbvO[hς݂łB'

	-- t@NV̍폜
	DROP FUNCTION [dbo].[is_bom6_sr1_db];
END
GO

-- t@NV`쐬
CREATE FUNCTION [dbo].[is_bom6_sr1_db] () RETURNS int AS BEGIN RETURN 1 END
GO

GRANT EXECUTE ON [dbo].[is_bom6_sr1_db] TO [Bom6ArchiveMgr];
GRANT EXECUTE ON [dbo].[is_bom6_sr1_db] TO [Bom6ArchiveSvc];
GO


-----------------------------------------------------------------------------
-- SR2ւ̃AbvO[h
PRINT N'BOM6 ArchiveDB SR2ւ̃AbvO[hs܂B'
IF object_id(N'is_bom6_sr2_db') IS NULL
BEGIN

	-- BOM6 SR2 ̕
	INSERT INTO [bom_product_info] VALUES ('20100','620','BOM 6','SR2.0','ʏ퐻i')
	INSERT INTO [bom_product_info] VALUES ('20101','620','BOM 6','SR2.0',']')
	INSERT INTO [bom_product_info] VALUES ('21100','620','BOM 6','SR2.0','LinuxIvV')
	INSERT INTO [bom_product_info] VALUES ('21101','620','BOM 6','SR2.0','LinuxIvV]')
	INSERT INTO [bom_product_info] VALUES ('22100','620','BOM 6','SR2.0','VMwareIvV')
	INSERT INTO [bom_product_info] VALUES ('22101','620','BOM 6','SR2.0','VMwareIvV]')
END
ELSE
BEGIN
	PRINT N'łɃAbvO[hς݂łB'
	
	-- t@NV̍폜
	DROP FUNCTION [dbo].[is_bom6_sr2_db];
END
GO

-- t@NV`쐬
CREATE FUNCTION [dbo].[is_bom6_sr2_db] () RETURNS int AS BEGIN RETURN 1 END
GO

GRANT EXECUTE ON [dbo].[is_bom6_sr2_db] TO [Bom6ArchiveMgr];
GRANT EXECUTE ON [dbo].[is_bom6_sr2_db] TO [Bom6ArchiveSvc];
GO

-----------------------------------------------------------------------------
-- SR2gւ̃AbvO[h
PRINT N'BOM6 ArchiveDB SR2gւ̃AbvO[hs܂B'
IF NOT EXISTS
(
   SELECT
    iname
   FROM
    (
      SELECT
        t.name AS tname
        ,i.name AS iname
      FROM
        sys.indexes AS i 
      INNER JOIN sys.tables t ON
        i.object_id = t.object_id 
      INNER JOIN sys.schemas AS s ON
        t.schema_id = s.schema_id 
      WHERE t.name = 'bom_archive_sysinfo' AND i.name = 'IX_bom_archive_sysinfo_archive_time'
    )sysinfo_indexies
)
BEGIN
 CREATE NONCLUSTERED INDEX [IX_bom_archive_sysinfo_archive_time]
 ON [dbo].[bom_archive_sysinfo] ([archive_time])
 INCLUDE ([instance_setup_id])
 PRINT N'AbvO[h܂B'
END
ELSE
BEGIN
 print N'łɃAbvO[hς݂łB'
END


